Download it now!
Bug 100148 - Special Characters dialog -- the edit bar displays in system font rather than font family char map in use
Summary: Special Characters dialog -- the edit bar displays in system font rather than...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-30 20:35 UTC by V Stuart Foote
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-05-30 20:35:36 UTC
In the Special Characters dialog, the edit bar widget displays character picks in system font rather than font family char map in use.

A problem in that system font may not have coverage of Unicode code points being selected so shows a place holder glyph.
Comment 1 V Stuart Foote 2016-05-30 20:40:35 UTC
Split from bug 97839
Comment 2 Caolán McNamara 2016-05-31 08:07:30 UTC
Presumably the "missing glyph" problem only shows up under Windows? (maybe MacOSX), seeing as under Linux the super-dooper fontconfig glyph fallback is active.

If we do want to change the font of the editbar the thing to use is probably "SetControlFont" instead of "SetFont".

One potential gotcha is that changing the font of the edit widget may change its size vertically after the dialog is active which might squash things sometimes.
Comment 3 Commit Notification 2016-05-31 15:27:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2de8345dc439fd9ad39cdbf9baecb58bbd46e09f

Resolves: tdf#100148 use the selected font for the edit area

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2016-05-31 15:28:35 UTC
lets try it for a while in practice to see how it plays out